%define name 	radioactive
%define version 1.4.0
%define release 1mdk

Summary: 	RadioActive is a small radio application.
Group: 		Sound
License: 	GPL
URL: 		http://cactus.rulez.org/projects/radioactive/
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildrequires:	libpanelmm1-devel

%description
RadioActive is a small radio application for Video4Linux-compatible radio 
tuner cards. The lowlevel functions were initially based on GRadio, but 
RadioActive has a traditional, "real-world radio"-like interface.


%prep

%setup -q -n %{name}-%{version}


%build

%serverbuild

%configure --disable-gtkmmtest

%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall


# Menu entries
install -d $RPM_BUILD_ROOT%{_menudir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -m644 gnome-radioactive.png $RPM_BUILD_ROOT%{_iconsdir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name): longtitle="Radio application" \
command="/usr/bin/radioactive" title="%{name}"  needs="x11" \
section="Multimedia/Sound" \
icon="gnome-radioactive.png" 
EOF

%find_lang %{name}

%post 
%{update_menus}

%postun 
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS INSTALL
%{_menudir}/%{name}
%{_sysconfdir}/CORBA/servers/*
%{_bindir}/radioactive
%{_bindir}/radioactive_applet 
%{_datadir}/applets/Multimedia/radioactive_applet.desktop
%{_datadir}/gnome/apps/Multimedia/radioactive.desktop 
%{_iconsdir}/gnome-radioactive.png   


%changelog
* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- changed group

* Fri May 18 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2

* Mon May 14 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.2.1-1mdk
- new in contrib





